This Bugzilla instance is a read-only archive of historic NetBeans bug reports. To report a bug in NetBeans please follow the project's instructions for reporting issues.

Bug 27996

Summary: Integrate VCS functionality with the new core infrastructure
Product: obsolete Reporter: Martin Entlicher <mentlicher>
Component: vcscoreAssignee: Martin Entlicher <mentlicher>
Status: VERIFIED FIXED    
Severity: blocker    
Priority: P1    
Version: 3.x   
Hardware: All   
OS: All   
Issue Type: ENHANCEMENT Exception Reporter:
Bug Depends on: 26744, 27127    
Bug Blocks: 26422    

Description Martin Entlicher 2002-10-14 17:08:28 UTC
Reflect the changes in the mounting process and
the introduction of new projects infrastructure in
the way how VCS functionality is used in NetBeans.

The VCS should not depend on the projects
infrastructure, but should provide consistent
integration.
Comment 1 Martin Entlicher 2002-10-14 17:11:15 UTC
Adding dependent issues, for smooth integration also issue #21340
should be considered depending on the time frame.
Comment 2 Martin Entlicher 2002-11-28 15:52:01 UTC
Fixed, since dependent issues were fixed.
Comment 3 Martin Entlicher 2003-05-20 13:09:56 UTC
VCS recognition infrastructure together with auto-mounting and
fs-independent commands were implemented. This has nothing to do with
projects, but reflects the changes made in core in 4.0.

There will be more changes necessary for integration with the new
projects infrastructure (issue #33768).
Comment 4 Martin Entlicher 2003-07-24 09:38:39 UTC
The UI spec is not read yet, but the major known changes were
implemented so that the VCS integration is usable in projects builds.
There might be some defects remaining and additional tasks as a result
of the UI spec. But the depending tasks were implemented, so I'm
verifying this as fixed.